Page MenuHomePhabricator

TMH video.js-mode iframe embedding code runs on every page view, removing element with id 'bgimage'
Closed, ResolvedPublic

Description

Followup from https://gerrit.wikimedia.org/r/#/c/296156/ -- iframe embedding code for video.js gets run on every page view, causing any element with id 'bgimage' to be removed.

This code should only be run on the iframe embed view, and nowhere else.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterRemove last trace of bgimage

Event Timeline

brion created this task.Jun 27 2016, 4:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 27 2016, 4:41 PM
TheDJ moved this task from Backlog to Video.js on the Kaltura player board.Oct 14 2016, 7:09 PM
TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.

Change 332204 had a related patch set uploaded (by TheDJ):
Remove last trace of bgimage

https://gerrit.wikimedia.org/r/332204

Jdforrester-WMF closed this task as Resolved.Jan 16 2017, 7:44 PM
Jdforrester-WMF assigned this task to TheDJ.
Jdforrester-WMF edited projects, added Performance Issue; removed Patch-For-Review.

Change 332204 merged by jenkins-bot:
Remove last trace of bgimage

https://gerrit.wikimedia.org/r/332204